<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Storage/SQLiteStorage/test/SQLiteDatabaseTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html">Storage</a></li><li class="navelem"><a class="el" href="dir_74c6299ccbc82b9602ff2a1d0fd58149.html">SQLiteStorage</a></li><li class="navelem"><a class="el" href="dir_fee0b467afad5a3a4f4d8c886a0ecbea.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteDatabaseTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_file_utils_8h_source.html">AVSCommon/Utils/File/FileUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_database_8h_source.html">SQLiteStorage/SQLiteDatabase.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteDatabaseTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_database_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_database_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_database_test_8cpp" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_database_test_8cpp">
<area shape="rect" id="node5" href="_file_utils_8h.html" title="AVSCommon/Utils/File\l/FileUtils.h" alt="" coords="194,179,350,217"/>
<area shape="rect" id="node7" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="404,105,626,131"/>
<area shape="rect" id="node11" href="_s_q_lite_statement_8h.html" title="SQLiteStorage/SQLiteStatement.h" alt="" coords="600,185,825,211"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage.html">alexaClientSDK::storage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html">alexaClientSDK::storage::sqliteStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html">alexaClientSDK::storage::sqliteStorage::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a483dfc48df9ac420b842be559069b187"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a483dfc48df9ac420b842be559069b187">alexaClientSDK::storage::sqliteStorage::test::generateDbFilePath</a> ()</td></tr>
<tr class="separator:a483dfc48df9ac420b842be559069b187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240bd6c754cc834598ce319554b275c8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a240bd6c754cc834598ce319554b275c8">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_closeThenOpen)</td></tr>
<tr class="memdesc:a240bd6c754cc834598ce319554b275c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to close DB then open it.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a240bd6c754cc834598ce319554b275c8">More...</a><br /></td></tr>
<tr class="separator:a240bd6c754cc834598ce319554b275c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5291b35eee2cc1e774f5fd53eef83e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a4d5291b35eee2cc1e774f5fd53eef83e">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_initializeAlreadyExisting)</td></tr>
<tr class="memdesc:a4d5291b35eee2cc1e774f5fd53eef83e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to initialize already existing DB.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a4d5291b35eee2cc1e774f5fd53eef83e">More...</a><br /></td></tr>
<tr class="separator:a4d5291b35eee2cc1e774f5fd53eef83e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab42c877d6ef45e0851122fdc07e23fd2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab42c877d6ef45e0851122fdc07e23fd2">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_initializeBadPath)</td></tr>
<tr class="memdesc:ab42c877d6ef45e0851122fdc07e23fd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to initialize a bad path.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab42c877d6ef45e0851122fdc07e23fd2">More...</a><br /></td></tr>
<tr class="separator:ab42c877d6ef45e0851122fdc07e23fd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab81fa7b49ddaab6392eb1baeb8a7a9b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab81fa7b49ddaab6392eb1baeb8a7a9b6">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_initializeOnDirectory)</td></tr>
<tr class="memdesc:ab81fa7b49ddaab6392eb1baeb8a7a9b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to initialize a directory.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab81fa7b49ddaab6392eb1baeb8a7a9b6">More...</a><br /></td></tr>
<tr class="separator:ab81fa7b49ddaab6392eb1baeb8a7a9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adddadb1caf243481f1e03f35fa74ee31"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#adddadb1caf243481f1e03f35fa74ee31">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_initializeTwice)</td></tr>
<tr class="memdesc:adddadb1caf243481f1e03f35fa74ee31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to initialize DB twice.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#adddadb1caf243481f1e03f35fa74ee31">More...</a><br /></td></tr>
<tr class="separator:adddadb1caf243481f1e03f35fa74ee31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac37c7bafff20d78a5c98327976852e7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ac37c7bafff20d78a5c98327976852e7a">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_openAlreadyExisting)</td></tr>
<tr class="memdesc:ac37c7bafff20d78a5c98327976852e7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to open already existing DB.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ac37c7bafff20d78a5c98327976852e7a">More...</a><br /></td></tr>
<tr class="separator:ac37c7bafff20d78a5c98327976852e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab587112795b3cf864de5841dba5511d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#aab587112795b3cf864de5841dba5511d">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_openBadPath)</td></tr>
<tr class="memdesc:aab587112795b3cf864de5841dba5511d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to open a bad path.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#aab587112795b3cf864de5841dba5511d">More...</a><br /></td></tr>
<tr class="separator:aab587112795b3cf864de5841dba5511d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67776b21adc51ebfaa8303d327ea2ee4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a67776b21adc51ebfaa8303d327ea2ee4">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_openDirectory)</td></tr>
<tr class="memdesc:a67776b21adc51ebfaa8303d327ea2ee4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to open directory.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a67776b21adc51ebfaa8303d327ea2ee4">More...</a><br /></td></tr>
<tr class="separator:a67776b21adc51ebfaa8303d327ea2ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab74b067aa96fa44068c53e907a3086e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab74b067aa96fa44068c53e907a3086e4">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_openTwice)</td></tr>
<tr class="memdesc:ab74b067aa96fa44068c53e907a3086e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to open DB twice.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab74b067aa96fa44068c53e907a3086e4">More...</a><br /></td></tr>
<tr class="separator:ab74b067aa96fa44068c53e907a3086e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5738e39a616bed9e247eed27b5691245"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a5738e39a616bed9e247eed27b5691245">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_transactionsCommit)</td></tr>
<tr class="memdesc:a5738e39a616bed9e247eed27b5691245"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test transactions commit.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a5738e39a616bed9e247eed27b5691245">More...</a><br /></td></tr>
<tr class="separator:a5738e39a616bed9e247eed27b5691245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c0f2f0f77bfbd67b2b445541343925"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ac2c0f2f0f77bfbd67b2b445541343925">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_transactionsRollback)</td></tr>
<tr class="separator:ac2c0f2f0f77bfbd67b2b445541343925"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a588be9dbb3a449ea106f9b9036985770"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a588be9dbb3a449ea106f9b9036985770">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_nestedTransactions)</td></tr>
<tr class="memdesc:a588be9dbb3a449ea106f9b9036985770"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test nested transactions.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a588be9dbb3a449ea106f9b9036985770">More...</a><br /></td></tr>
<tr class="separator:a588be9dbb3a449ea106f9b9036985770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab64a2e9b6c224d8c75c0b1e83a4cb211"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab64a2e9b6c224d8c75c0b1e83a4cb211">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_doubleCommit)</td></tr>
<tr class="memdesc:ab64a2e9b6c224d8c75c0b1e83a4cb211"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test transactions double commit.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ab64a2e9b6c224d8c75c0b1e83a4cb211">More...</a><br /></td></tr>
<tr class="separator:ab64a2e9b6c224d8c75c0b1e83a4cb211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b8427cd97a424c5a226ec37fa536d21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a0b8427cd97a424c5a226ec37fa536d21">alexaClientSDK::storage::sqliteStorage::test::TEST</a> (SQLiteDatabaseTest, test_autoRollback)</td></tr>
<tr class="memdesc:a0b8427cd97a424c5a226ec37fa536d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test automatic rollback.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a0b8427cd97a424c5a226ec37fa536d21">More...</a><br /></td></tr>
<tr class="separator:a0b8427cd97a424c5a226ec37fa536d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_q_lite_database_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a447f1945b81d84874f0535d47a108dba"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a447f1945b81d84874f0535d47a108dba">alexaClientSDK::storage::sqliteStorage::test::g_workingDirectory</a></td></tr>
<tr class="memdesc:a447f1945b81d84874f0535d47a108dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable for storing the working directory. This is where all of the test databases will be created.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a447f1945b81d84874f0535d47a108dba">More...</a><br /></td></tr>
<tr class="separator:a447f1945b81d84874f0535d47a108dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1768b9e806f4423ddddc6a8d95544c49"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a1768b9e806f4423ddddc6a8d95544c49">alexaClientSDK::storage::sqliteStorage::test::BAD_PATH</a></td></tr>
<tr class="memdesc:a1768b9e806f4423ddddc6a8d95544c49"><td class="mdescLeft">&#160;</td><td class="mdescRight">An example of a path that doesn't exist in a system.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a1768b9e806f4423ddddc6a8d95544c49">More...</a><br /></td></tr>
<tr class="separator:a1768b9e806f4423ddddc6a8d95544c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
